<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
  <div class="main-job-description__right">
    <mb-button *ngIf="objFunction?.create" mbButtonSize="MEDIUM" mbButtonText="{{'modelOrganization.JDs.addNew' | translate}}" (click)="addJds()"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle="PRIMARY">
    </mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM"  *ngIf="objFunction?.import"
      mbButtonText="{{'modelOrganization.button.importJD' | translate}}" mbButtonType="NO_BORDER" mbButtonAvailableStyle="BtnCancelHasBorder"
               (click)="showUpload(footerTmplUploadFile)">
    </mb-button>
  </div>
</div>

<nz-card class="main-job-card">
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left position-relative">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="50" [defaultInput]="true"
        (mbClick)="showModalOrg($event)"
        mbPlaceholderText="{{ 'modelOrganization.initScreen.placeholder.chooseUnit' | translate }}"
        mbLabelText="{{ 'modelOrganization.initScreen.label.orgName' | translate }}" [mbReadOnly]="true">
      </mb-input-text>
      <em *ngIf="orgName" nz-icon class="icon-delete-unit" (click)="clearOrgInput()" nzType="close-circle"
        nzTheme="outline"></em>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" [mbDisable]="!searchParams.orgId"
        mbLabelText="{{'Job' | translate}}" mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseJob' | translate}}"
        [(ngModel)]="searchParams.jobId">
      </mb-select>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__right">
      <mb-select [mbDataSelects]="listAttribute" mbKeyLabel="orgaValue" mbKeyValue="orgaId"
        mbLabelText="{{'modelOrganization.JDs.function' | translate}}"
        mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseFunction' | translate}}"
        [mbDisable]="!searchParams.orgId" [(ngModel)]="searchParams.orgaId"></mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-input-text mbType="default" [mbMaxLength]="150" [defaultInput]="true"
        mbPlaceholderText="{{ 'modelOrganization.JDs.placeHoder.typeJDs' | translate }}"
        mbLabelText="{{ 'modelOrganization.JDs.nameJDs' | translate }}" [(ngModel)]="searchParams.jdName">
      </mb-input-text>
    </div>

  </div>
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listCareerGroup" mbKeyLabel="lvaMean" mbKeyValue="lvaId"
        [(ngModel)]="searchParams.lvaIdProfession" mbLabelText="{{'modelOrganization.JDs.groupCareer' | translate}}"
        mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseGroupCareer' | translate}}">
      </mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__center">
      <mb-select [mbDataSelects]="listJobGroup" mbKeyLabel="lvaMean" mbKeyValue="lvaId"
        [(ngModel)]="searchParams.lvaIdJob" mbLabelText="{{'modelOrganization.JDs.groupJob' | translate}}"
        mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseGroupJob' | translate}}"></mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-select [mbDataSelects]="listStatus" mbKeyLabel="value" mbKeyValue="id"
        mbLabelText="{{'modelOrganization.JDs.status' | translate}}"
        mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseStatus' | translate}}"
        [(ngModel)]="searchParams.flagStatus"></mb-select>
    </div>
  </div>
  <div class="main-job-card__button-search">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
      mbButtonText="{{'common.button.search' | translate}}" (click)="onSearch()">
    </mb-button>
    <mb-button *ngIf="objFunction?.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
      <img src="../../../../../assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>
<div class="table-container ant-table-content">
  <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #basicTable [nzData]="dataTable"
    [nzScroll]="dataTable.length > 0 ? { y: '320px' }: {}" nzTableLayout="fixed">
    <thead>
      <tr>
        <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" [nzAlign]="'center'" nzLeft>STT</th>
        <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
        <th scope="col">{{'modelOrganization.table.jobName' | translate}}</th>
        <th scope="col">{{'modelOrganization.table.function' | translate}}</th>
        <th scope="col">{{'modelOrganization.JDs.nameJDs' | translate}}</th>
        <th scope="col" [nzWidth]="WIDTH_COLUMN.MEDIUM" class="text-center">{{'modelOrganization.JDs.status' |
          translate}}</th>
        <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" nzRight></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data;let i = index">
        <td [nzAlign]="'center'" nzLeft>{{((pagination.currentPage) * pagination.size) + (i+1)}} </td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.fullName" (click)="onClickRow(data)">{{
          data.fullName
          }}</td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.jobName" (click)="onClickRow(data)">{{ data.jobName
          }}</td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.orgaValue" (click)="onClickRow(data)">{{
          data.orgaValue }}</td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.jdName" (click)="onClickRow(data)">{{ data.jdName }}
        </td>
        <td (click)="onClickRow(data)" [nzAlign]="'center'">
          <div class="display-center">
            <nz-tag   [class]="renderFlagStatus(data.flagStatus).class">
            {{renderFlagStatus(data.flagStatus).text}}
          </nz-tag>
          </div>
        </td>
        <td nzRight>

          <div class="main-model-organization__tooltip">
            <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu" class="main-model-organization__tooltip__button">
              <mat-icon class="main-model-organization___tooltip__icon">more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu" class="main-model-organization__tooltip__menu">
                  <div *ngIf="objFunction?.create && !(data.flagStatus !== 7 && data.flagStatus !== null)"
                       (click)="addJds(data)"
                    class="main-model-organization__tooltip__menu--item"
                    mat-menu-item
                  >
                    <img src="assets/images/icon/add_circle_outline.svg" alt='add'>
                    <span class="main-model-organization__tooltip__menu--item__text" nz-typography>{{
                      'modelOrganization.label.add' | translate
                      }}</span>
                  </div>

              <div (click)="issuedJD(data)" *ngIf="data.flagStatus === 1"
                class="main-model-organization__tooltip__menu--item"
                mat-menu-item
              >
                  <img alt="" src="assets/images/icon/icon-mess.png" />
                  <span class="main-model-organization__tooltip__menu--item__text" nz-typography>{{
                    'modelOrganization.label.issued' | translate
                    }}</span>
              </div>

              <div *ngIf="objFunction?.edit && !(data.flagStatus === 7 || data.flagStatus === 0 || data.flagStatus === null)"
                   (click)="editJds(data)"
                class="main-model-organization__tooltip__menu--item"
                mat-menu-item
              >
                  <img src="assets/images/icon/edit.png" alt='edit' width="18" height="18">
                  <span class="main-model-organization__tooltip__menu--item__text" nz-typography>{{
                    'modelOrganization.initScreen.label.edit' | translate
                    }}</span>
              </div>

              <div *ngIf="objFunction?.delete && !(data.flagStatus === 7 || data.flagStatus === null
              || data.flagStatus === 1 || data.flagStatus === 0)" (click)="deleteJd(data)"
                class="main-model-organization__tooltip__menu--item"
                mat-menu-item
              >
                  <mat-icon class="main-model-organization__tooltip__menu--item__icon">delete_outline </mat-icon>
                  <span class="main-model-organization__tooltip__menu--item__text" nz-typography>{{
                    'modelOrganization.initScreen.label.delete' | translate
                    }}</span>
              </div>
            </mat-menu>
          </div>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <div class="pagination" *ngIf="dataTable.length">
    <div class="pagination__table-info">
      <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="">
      <span class="pagination__table-info--text"> {{'common.paging.rangePage' |
        translate:{result:pagination.totalElements} }}
        {{ pagination.size * pagination.currentPage + 1 }} {{'common.paging.to' | translate}}
        {{ pagination.size * pagination.currentPage + pagination.numberOfElements}}
      </span>
    </div>
    <nz-pagination [nzPageIndex]="pagination.currentPage + 1" [nzTotal]="pagination.totalElements"
      [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage($event)" class="pagination__icon">
    </nz-pagination>
  </div>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  </section>
</ng-template>
